#include <stdio.h>      // Deinirane standardne ulazno, izlazne funkcije
#include <stdlib.h>     // Deinirana nama potrebna funkcija za pauziranje
#include "GJ.c"         // Deinirane funkcije koje obavljaju GJ eliminaciju


int main(void){
  int m,n;
  float **a, **ai, **b, **x;

  // ZADATAK: DEFINIRATI m,n

  // Rezervira u memoriji mjesto za potrebne matrice
  a = matrix(1, n, 1, n);  // matrica sustava A (koeficijenti uz nepoznanice)
  ai = matrix(1, n, 1, n); // inverz matrice A (oznaka: Ai)
  b = matrix(1, n, 1, m);  // slobodni koeficijenti
  x = matrix(1, n, 1, m);  // vrijednosti nepoznanica


  // ZADATAK: DEFINIRATI ai=a, x=b


  /* Funkcija koja izvodi Gauss-Jordanovu eliminaciju */
  // Ulazni elementi:  ai - sadrzi koeficijente uz nepoznanice = A
  //                   n  - dimenzija matrice ai
  //                   x  - slobodni koeficijenti = b
  //                   m  - broj rjesenja 
  gaussj(ai,n,x,m);
  // Izlazni elementi: ai - inverzna matrica od ulazne
  //                   n  - dimenzija matrice ai
  //                   x  - vrijednosti nepoznanica
  //                   m  - broj rjesenja

  // ZADATAK: OBAVITI PROVJERU RJESENJA


  free_matrix(a, 1, n, 1, n);
  free_matrix(ai, 1, n, 1, n);
  free_matrix(b, 1, n, 1, m);
  free_matrix(x, 1, n, 1, m);
  return 0;
}
